Solve utmvc
POST
/utmvc
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://incap.antibotapi.com/utmvc"), Headers = { { "x-api-key", "<x-api-key>" }, }, Content = new StringContent("{ \"script\": \"<base64 of the utmvc script>\", \"session_cookies\": [ \"<value of incap_ses_xxx>\" ] }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://incap.antibotapi.com/utmvc"
payload := strings.NewReader("{ \"script\": \"<base64 of the utmvc script>\", \"session_cookies\": [ \"<value of incap_ses_xxx>\" ] }")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<x-api-key>") req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://incap.antibotapi.com/utmvc';const options = { method: 'POST', headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'}, body: '{"script":"<base64 of the utmvc script>","session_cookies":["<value of incap_ses_xxx>"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://incap.antibotapi.com/utmvc \ --header 'Content-Type: application/json' \ --header 'x-api-key: <x-api-key>' \ --data '{ "script": "<base64 of the utmvc script>", "session_cookies": [ "<value of incap_ses_xxx>" ] }'Send the utmvc challenge script. Returns the ___utmvc cookie value and, when the site wants it, the
SWHANEDL value to request next.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”x-signature
string
A request signature. Required only when signing is on for your key. See Authentication.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
script
required
The utmvc challenge script, Base64-encoded.
string format: byte
session_cookies
The values (not names) of every incap_ses_* cookie in your jar.
Array<string>
Example
{ "script": "<base64 of the utmvc script>", "session_cookies": [ "<value of incap_ses_xxx>" ]}Responses
Section titled “Responses”Solved.
Media typeapplication/json
object
___utmvc
The ___utmvc cookie value.
string
SWHANEDL
When not empty, GET /_Incapsula_Resource?SWHANEDL=<value> on the site.
string
Example
{ "___utmvc": "QAolXPoMnOY44mHQgmHUk2JASSm3Qdv2mqFF...", "SWHANEDL": "5328892720666706300,11075350648989097825,9380172380300787245,645620"}The request is invalid or the script could not be solved. error says why. Not billed.
Media typeapplication/json
object
success
boolean
error
What went wrong.
string
Example
{ "success": false}The API key is missing, unknown, revoked or out of balance, or its signature is wrong.
Media typeapplication/json
object
success
boolean
error
object
type
string
message
string
Example
{ "success": false, "error": { "type": "validation", "message": "x-api-key is required" }}